Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.util.data
Class DataPointConcrete

    java.lang.Object
      org.ascape.util.data.DataPointConcrete

All Implemented Interfaces:
  java.io.Serializable, DataPoint, HasName

Direct Known Subclasses:
  CollectionSpace.ClosestDataPoint

    public abstract class DataPointConcrete

extends java.lang.Object
implements DataPoint, java.io.Serializable

An class providing a data point for a given object. A data point is just some interpretation of an object's state as a double value.

Since:
  1.0
Version:
  2.0
Author:
  Miles Parker
See Also:
  Serialized Form

Field Summary
`static double` | `equalsEpsilon`
`static float` | `equalsEpsilonFloat`

Constructor Summary
`DataPointConcrete()` Constructs a concrete instantiation of a color feature.
`DataPointConcrete(java.lang.String name)` Constructs a concrete instantiation of a color feature with the supplied name.

Method Summary
`static boolean` | `equals(DataPoint dataPoint, java.lang.Object o1, java.lang.Object o2)` Return true if the objects as interprested by the supplied datapoint are equal within some tolerance defined by epsilon (10^-9)
`static boolean` | `equals(double v1, double v2)` Return true if the values supplied are equal within some tolerance defined by equalsEpsilon
`static boolean` | `equals(float v1, float v2)` Return true if the values supplied are equal within some tolerance defined by equalsEpsilonFloat
`boolean` | `equals(java.lang.Object o1, java.lang.Object o2)` Return true if the objects as interprested by this datapoint are equal within some tolerance defined by epsilon (10^-9)
`static double` | `getEqualsEpsilon()` Gets the equalsEpsilon for the DataValue class.
`static double` | `getEqualsEpsilonFloat()` Gets the equalsEpsilonFloat for the DataValue class.
`java.lang.String` | `getName()` Returns a name for the object as defined by set name.
`abstract double` | `getValue(java.lang.Object object)` Returns the value of a given data point from a given object.
`void` | `setName(java.lang.String name)` Sets the name of this data point.
`double` | `sum(java.util.Collection collection)` Calcualtes the total across the entire collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### equalsEpsilonFloat

    public static final float equalsEpsilonFloat

See Also:
  Constant Field Values

### equalsEpsilon

    public static final double equalsEpsilon

See Also:
  Constant Field Values

Constructor Detail

### DataPointConcrete

    public DataPointConcrete()

  Constructs a concrete instantiation of a color feature.

### DataPointConcrete

    public DataPointConcrete(java.lang.String name)

  Constructs a concrete instantiation of a color feature with the supplied name.

  Parameters:
    `name` - the user relevant name of the feature

Method Detail

### getName

    public java.lang.String getName()

  Returns a name for the object as defined by set name.

  Specified by:
    `getName` in interface `DataPoint`
  Specified by:
    `getName` in interface `HasName`

### setName

    public final void setName(java.lang.String name)

  Sets the name of this data point.

  Parameters:
    `name` - a user relevant name for this feature

### getValue

    public abstract double getValue(java.lang.Object object)

  Returns the value of a given data point from a given object.

  Specified by:
    `getValue` in interface `DataPoint`
  Parameters:
    `object` - the object to extract the value from.

### sum

    public double sum(java.util.Collection collection)

  Calcualtes the total across the entire collection.

  Parameters:
    `collection` -
  Returns:

### equals

    public boolean equals(java.lang.Object o1,
                          java.lang.Object o2)

  Return true if the objects as interprested by this datapoint are equal within some tolerance defined by epsilon (10^-9)

### equals

    public static final boolean equals(DataPoint dataPoint,
                                       java.lang.Object o1,
                                       java.lang.Object o2)

  Return true if the objects as interprested by the supplied datapoint are equal within some tolerance defined by epsilon (10^-9)

### equals

    public static final boolean equals(double v1,
                                       double v2)

  Return true if the values supplied are equal within some tolerance defined by equalsEpsilon

### equals

    public static final boolean equals(float v1,
                                       float v2)

  Return true if the values supplied are equal within some tolerance defined by equalsEpsilonFloat

### getEqualsEpsilon

    public static double getEqualsEpsilon()

  Gets the equalsEpsilon for the DataValue class.

  Returns:
    the equalsEpsilon

### getEqualsEpsilonFloat

    public static double getEqualsEpsilonFloat()

  Gets the equalsEpsilonFloat for the DataValue class.

  Returns:
    the equalsEpsilonFloat

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD